%define		kdeframever	5.86
%define		qtver		5.9.0
%define		kfname		syntax-highlighting

Summary:	Syntax highlighting
Name:		kf5-%{kfname}
Version:	5.86.0
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	45fcf5ca2e8576c937342d9fa2f5c67e
URL:		http://www.kde.org/
BuildRequires:	ninja
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	kf5-dirs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
Syntax highlighting.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	../
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang syntaxhighlighting5 --with-qm

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f syntaxhighlighting5.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kate-syntax-highlighter
%ghost %{_libdir}/libKF5SyntaxHighlighting.so.5
%attr(755,root,root) %{_libdir}/libKF5SyntaxHighlighting.so.5.*.*
%{_datadir}/qlogging-categories5/ksyntaxhighlighting.categories
%{_datadir}/qlogging-categories5/ksyntaxhighlighting.renamecategories
%dir %{_libdir}/qt5/qml/org/kde/syntaxhighlighting
%{_libdir}/qt5/qml/org/kde/syntaxhighlighting/libkquicksyntaxhighlightingplugin.so
%{_libdir}/qt5/qml/org/kde/syntaxhighlighting/qmldir

%files devel
%defattr(644,root,root,755)
%{_includedir}/KF5/KSyntaxHighlighting
%{_includedir}/KF5/ksyntaxhighlighting_version.h
%{_libdir}/cmake/KF5SyntaxHighlighting
%{_libdir}/libKF5SyntaxHighlighting.so
%{_libdir}/qt5/mkspecs/modules/qt_KSyntaxHighlighting.pri
%changelog
* Fri Sep 17 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf5-syntax-highlighting.git;a=log;h=master

* Mon Sep 13 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 78e441d
- updated to 5.86.0

* Tue Aug 17 2021 Witold Filipczyk <witekfl@poczta.onet.pl> f28c396
- updated to 5.85.0

* Sun Jul 11 2021 Witold Filipczyk <witekfl@poczta.onet.pl> a79d5db
- updated to 5.84.0

* Mon Jun 14 2021 Witold Filipczyk <witekfl@poczta.onet.pl> abca9f9
- updated to 5.83.0

* Mon May 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> fc6b2cc
- updated to 5.82.0

* Sat Apr 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 5edb988
- updated to 5.81.0

* Mon Mar 22 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 64d1925
- updated to 5.80.0

* Sat Mar 06 2021 Witold Filipczyk <witekfl@poczta.onet.pl> af1f3f7
- update to 5.79.0

* Mon Feb 17 2020 Łukasz Maśko <lmasko@pld-linux.org> 69b356e
- Up to 5.67.0.

* Mon Dec 30 2019 Łukasz Maśko <lmasko@pld-linux.org> 4388da3
- Up to 5.65.0.

* Mon Dec 02 2019 Łukasz Maśko <lmasko@pld-linux.org> 6ccad4c
- Up to 5.62.0.

* Mon Jun 10 2019 Witold Filipczyk <witekfl@poczta.onet.pl> fed7f3b
- updated to 5.59.0

* Mon Mar 25 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 0e0ede9
- updated to 5.56

* Thu Dec 27 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 9997be6
- updated to 5.53.0

* Mon Feb 19 2018 Jan Rękorajski <baggins@pld-linux.org> e903bdd
- up to 5.43.0

* Sat Oct 14 2017 Witold Filipczyk <witekfl@poczta.onet.pl> c1e58b5
- updated to 5.39.0

